Markets
GET /v1/market/{conditionId}/positioning
Per-market positioning panel with Polyrank track-record tags (whale/sharp/early_bird/contrarian) and unrealized P&L.
Per-market positioning panel with Polyrank track-record tags (whale/sharp/early_bird/contrarian) and unrealized P&L.
AuthorizationBearer <token>
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Path Parameters
conditionId*string
Query Parameters
limit?integer
smart_money_only?boolean
Response Body
application/json
curl -X GET "https://example.com/v1/market/string/positioning"{ "condition_id": "string", "rows": [ { "proxy_wallet": "string", "outcome_side": "YES", "shares_held": 0, "avg_entry_price": 0, "notional_at_entry": 0, "unrealized_pnl": 0, "realized_pnl": 0, "brier": 0, "brier_pctile": 0, "smart_money_tags": [ "whale" ], "display_pseudonym": "string", "last_trade_time": "string" } ], "total": -9007199254740991, "smart_money_count": -9007199254740991, "positions_as_of": "string"}GET /v1/market/{conditionId}/liquidity-history GET
Liquidity depth over time: daily rollup (poly.liquidity_daily) or 15-min intraday buckets of the YES token depth. Forward-growing coverage (0087).
GET /v1/market/{conditionId}/recap GET
Resolution recap: outcome, settlement provenance, who-called-it-early, winners/losers, tagged-wallet hit-rate.